Package org.eclipse.emf.cdo

## Interface CDOObjectHistory

- All Superinterfaces:
    `CDOBranchProvider`, `CDOCommitHistory`, `CDOCommitInfoHandler`, `org.eclipse.net4j.util.container.IContainer<CDOCommitInfo>`, `org.eclipse.net4j.util.event.INotifier`

      public interface CDOObjectHistory
      extends CDOCommitHistory

  A cache for the `commit infos` of an `object`.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitHistory

      `CDOCommitHistory.Provider<KEY,​HISTORY extends CDOCommitHistory>, CDOCommitHistory.TriggerLoadElement`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `org.eclipse.net4j.util.container.IContainer.Modifiable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitHistory

      `DEFAULT_LOAD_COUNT, EMPTY`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOObject` | `getCDOObject()` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitHistory

      `getBranch, getElement, getFirstElement, getLastElement, getLoadCount, getManager, isAppendingTriggerLoadElement, isFull, isLoading, setAppendingTriggerLoadElement, setLoadCount, size, triggerLoad, triggerLoad, waitWhileLoading`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitInfoHandler

      `handleCommitInfo`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getCDOObject

          CDOObject getCDOObject()